Bundle Recipients

A BundleRecipient is a person who has had a bundle shared with them via email invite. A Bundle can be re-shared with a Bundle Recipient by sending a create request with the inbox_id, recipient email address, and share_after_create => true.

Endpoint

GET/bundle_recipients

Return Object

BundleRecipient[]

Authorization Requirement

Available to all authenticated keys or sessions.

Request Parameters

ParameterDescription
user_id
int64
User ID. Provide a value of 0 to operate the current session's user.
bundle_id
int64
Required
List recipients for the bundle with this ID.

Additional Arguments

Example Request

curl "https://app.files.com/api/rest/v1/bundle_recipients.json?user_id=1&bundle_id=1" \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

[
  {
    "company": "Acme Inc.",
    "name": "John Doe",
    "note": "Some note.",
    "recipient": "john.doe@example.com",
    "sent_at": "2000-01-01T01:00:00Z",
    "workspace_id": 1
  }
]

Endpoint

POST/bundle_recipients

Return Object

BundleRecipient

Authorization Requirement

Available to all authenticated keys or sessions.

Request Parameters

ParameterDescription
user_id
int64
User ID. Provide a value of 0 to operate the current session's user.
bundle_id
int64
Required
Bundle to share.
recipient
string
Required
Email addresses to share this bundle with.
name
string
Name of recipient.
company
string
Company of recipient.
note
string
Note to include in email.
share_after_create
boolean
Set to true to share the link with the recipient upon creation.

Example Request

curl https://app.files.com/api/rest/v1/bundle_recipients.json \
  -X POST \
  -H 'Content-Type: application/json' \
  -d '{"user_id":1,"bundle_id":1,"recipient":"johndoe@gmail.com","name":"John Smith","company":"Acme Ltd","note":"Just a note.","share_after_create":false}' \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "company": "Acme Inc.",
  "name": "John Doe",
  "note": "Some note.",
  "recipient": "john.doe@example.com",
  "sent_at": "2000-01-01T01:00:00Z",
  "workspace_id": 1
}

The BundleRecipient Object

Some of the endpoints above return a BundleRecipient object. The attributes of this object are listed below.

AttributeDescription
company
string
The recipient's company.
name
string
The recipient's name.
note
string
A note sent to the recipient with the bundle.
recipient
string
The recipient's email address.
sent_at
date-time
When the Bundle was shared with this recipient.
workspace_id
int64
Workspace ID. 0 means the default workspace.

Example BundleRecipient Object

{
  "company": "Acme Inc.",
  "name": "John Doe",
  "note": "Some note.",
  "recipient": "john.doe@example.com",
  "sent_at": "2000-01-01T01:00:00Z",
  "workspace_id": 1
}